<?php

/* * *******************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2010 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 * ****************************************************************************** */
$module_name = 'EcmResourcess';
$viewdefs[$module_name]['EditView'] = array(
	'templateMeta' => array(
		'maxColumns' => '2',
		'widths' => array(
			array('label' => '30', 'field' => '60'),
			array('label' => '30', 'field' => '60'),
		),
		'javascript' => '
			<script type="text/javascript" src="include/javascript/popup_parent_helper.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>
			<script type="text/javascript" src="include/jsolait/init.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>
			<script type="text/javascript" src="include/jsolait/lib/urllib.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>
			<script type="text/javascript" src="include/javascript/jsclass_base.js"></script>
			<script type="text/javascript" src="include/javascript/jsclass_async.js"></script>
			<script type="text/javascript" src="include/JSON.js?s={$SUGAR_VERSION}"></script>
		',
		'includes' => array(
			0 => array(
				'file' => 'modules/EcmResourcess/js/editView.js'
			),
		),
	),
	'panels' => array(
		array(
			array(
				'name' => 'name',
				'label' => 'LBL_NAME',
				'tabindex' => '100',
				'displayParams' => array(
						'size' => 60
					),
			),
			array(
				'name' => 'assigned_worker',
				'label' => 'LBL_ASSIGNED_WORKER',
				'tabindex' => '120',
			),
		),
		array(
			array(
				'name' => 'year_production',
				'label' => 'LBL_YEAR_PRODUCTION',
				'tabindex' => '101',
			),
			array(
				'name' => 'amortization_method',
				'label' => 'LBL_AMORTIZATION_METHOD',
				'tabindex' => '121',
			),
		),
		array(
			array(
				'name' => 'serial_number',
				'label' => 'LBL_SERIAL_NUMBER',
				'tabindex' => '102',
			),
			array(
				'name' => 'date_purchase',
				'label' => 'LBL_DATE_PURCHASE',
				'tabindex' => '122',
			),
		),
		array(
			array(
				'name' => 'inventory_number',
				'label' => 'LBL_INVENTORY_NUMBER',
				'tabindex' => '103',
			),
			array(
				'name' => 'date_admission',
				'label' => 'LBL_DATE_ADMISSION',
				'tabindex' => '123',
			),
		),
		array(
			array(
				'name' => 'place_use',
				'label' => 'LBL_PLACE_USE',
				'tabindex' => '104',
			),
			array(
				'name' => 'date_mainbook_entry',
				'label' => 'LBL_DATE_MAINBOOK_ENTRY',
				'tabindex' => '124',
			),
		),
		array(
			array(
				'name' => 'gus_symbol',
				'label' => 'LBL_GUS_SYMBOL',
				'tabindex' => '105',
			),
			array(
				'name' => 'direction_revenue',
				'label' => 'LBL_DIRECTION_REVENUE',
				'tabindex' => '125',
			),
		),
		array(
			array(
				'name' => 'ecmresourcess_category',
				'label' => 'LBL_ECMRESOURCESS_CATEGORY',
				'tabindex' => '106',
			),
			array(
				'name' => 'direction_disposal',
				'label' => 'LBL_DIRECTION_DISPOSAL',
				'tabindex' => '126',
			),
		),
		array(
			array(
				'name' => 'id_mainbook_decision_continued_inactivity',
				'label' => 'LBL_ID_MAINBOOK_DECISION_CONTINUED_INACTIVITY',
				'tabindex' => '107',
			),
			array(
				'name' => 'date_last_revaluation',
				'label' => 'LBL_DATE_LAST_REVALUATION',
				'tabindex' => '127',
			),
		),
		array(
			array(
				'name' => 'value_initial',
				'label' => 'LBL_VALUE_INITIAL',
				'tabindex' => '108',
			),
			array(
				'name' => 'value_before_revaluation',
				'label' => 'LBL_VALUE_BEFORE_REVALUATION',
				'tabindex' => '128',
			),
		),
		array(
			array(
				'name' => 'accumulated_depreciation',
				'label' => 'LBL_ACCUMULATED_DEPRECIATION',
				'tabindex' => '109',
			),
			array(
				'name' => 'depreciation_year_beginning',
				'label' => 'LBL_DEPRECIATION_YEAR_BEGINNING',
				'tabindex' => '129',
			),
		),
		array(
			array(
				'name' => 'discriminant_calculation',
				'label' => 'LBL_DISCRIMINANT_CALCULATION',
				'tabindex' => '110',
			),
			array(
				'name' => 'amortization_accrued_current_year',
				'label' => 'LBL_AMORTIZATION_ACCRUED_CURRENT_YEAR',
				'tabindex' => '130',
			),
		),
		array(
			array(
				'name' => 'value_liquidation_partial',
				'label' => 'LBL_VALUE_LIQUIDATION_PARTIAL',
				'tabindex' => '111',
			),
			array(
				'name' => 'expense_account_4',
				'label' => 'LBL_EXPENSE_ACCOUNT_4',
				'tabindex' => '132',
			),
		),
		array(
			array(
				'name' => 'expense_account_5',
				'label' => 'LBL_EXPENSE_ACCOUNT_5',
				'tabindex' => '112',
			),
			array(
				'name' => 'typical_array_code_bookings',
				'label' => 'LBL_TYPICAL_ARRAY_CODE_BOOKINGS',
				'tabindex' => '132',
			),
		),
		array(
			array(
				'name' => 'revaluation_factor',
				'label' => 'LBL_REVALUATION_FACTOR',
				'tabindex' => '113',
			),
		),
		array(
			array(
				'name' => 'date_redemption_start',
				'label' => 'LBL_DATE_REDEMPTION_START',
				'tabindex' => '114',
			),
			array(
				'name' => 'date_redemption_end',
				'label' => 'LBL_DATE_REDEMPTION_END',
				'tabindex' => '132',
			),
		),
//		array(
//			array(
//				'name' => 'date_liquidation',
//				'label' => 'LBL_DATE_LIQUIDATION',
//			),
//			array(
//				'name' => 'date_liquidation_partial',
//				'label' => 'LBL_DATE_LIQUIDATION_PARTIAL',
//			),
//		),
//		array(
//			array(
//				'name' => 'date_continued_inactivity_start',
//				'label' => 'LBL_DATE_CONTINUED_INACTIVITY_START',
//			),
//			array(
//				'name' => 'date_continued_inactivity_end',
//				'label' => 'LBL_DATE_CONTINUED_INACTIVITY_END',
//			),
//		),
	),
);
